Moduuli 5 · 5.2
Kalenterin ja yhteystietojen vienti Googlesta ja Microsoftista
Moduuli 5: Kalenteri ja yhteystiedot · Lukuaika: 12 minuuttia
Oppimistavoite: Tämän oppitunnin jälkeen osaat tehdä kattavan ja käyttökelpoisen viennin kalentereista ja yhteystiedoista Googlesta ja Microsoftista, lukea ICS- ja vCard-tiedoston sisältöä sekä tiedät, mitä viennissä ei siirry tai mikä siirtyy eri tavalla.
Keskeiset käsitteet: iCalendar (ICS), VCALENDAR, VEVENT, UID, DTSTART, RRULE, EXDATE, VTIMEZONE ja TZID, ORGANIZER ja ATTENDEE, VALARM, vCard (VCF) 3.0 ja 4.0, csv, Google Takeout, siirtotyökalu
Kaksi tiedostomuotoa, jotka lähes kaikki tuntevat
Kalenterit ja yhteystiedot siirretään kahdella avoimella formaatilla:
- iCalendar, tiedostot joiden pääte on
.ics(RFC 5545), kalentereille ja tehtäville. - vCard, tiedostot joiden pääte on
.vcf, yhteystiedoille. Vastaan tulee kaksi versiota: 3.0 (RFC 2426) ja 4.0 (RFC 6350).
Nämä ovat tavallisia tekstitiedostoja. Voit avata ne tekstieditorissa, ja juuri sitä teet tällä oppitunnilla. Kun tietää, mitä tiedostossa pitäisi olla, näkee myös mikä siitä puuttuu.
Usein on viennin sijaan helpompi tie: monilla uusilla palveluilla on siirtotyökalu, joka hakee luvallasi kalenterisi ja yhteystietosi suoraan Googlesta tai Microsoftista. Se on nopeampaa ja virheettömämpää. Oma vienti kannattaa silti tehdä: tarkistusta varten (kuinka monta tapaamista ja yhteystietoa minulla oli?), varmuuskopioksi ennen vanhan palvelun irtisanomista, ja varasuunnitelmaksi, jos ylläpitäjä ei salli siirtotyökalun käyttöä.
Näin kalenteritiedosto näyttää
Bakkerij De Korrelin kalenterin vienti alkaa näin:
BEGIN:VCALENDAR
VERSION:2.0
PRODID:-//Google Inc//Google Calendar 70.9054//EN
BEGIN:VTIMEZONE
TZID:Europe/Amsterdam
...
END:VTIMEZONE
BEGIN:VEVENT
UID:3f1a9c2e7b@google.com
DTSTART;TZID=Europe/Amsterdam:20261110T060000
DTEND;TZID=Europe/Amsterdam:20261110T070000
RRULE:FREQ=WEEKLY;BYDAY=TU
EXDATE;TZID=Europe/Amsterdam:20261229T060000
SUMMARY:Levering meel
ORGANIZER:mailto:anne@example.com
ATTENDEE;CN=Groothandel:mailto:verkoop@example.net
BEGIN:VALARM
TRIGGER:-PT30M
ACTION:DISPLAY
END:VALARM
END:VEVENT
END:VCALENDARMitä näet:
| Rivi | Merkitys | Mikä voi mennä pieleen |
|---|---|---|
BEGIN:VCALENDAR ja VERSION:2.0 | tämä on iCalendar-tiedosto | jos puuttuu, tuonti epäonnistuu |
BEGIN:VEVENT ... END:VEVENT | yksi tapaaminen | puuttuva END tekee lopusta lukukelvottoman |
UID | tapaamisen pysyvä tunniste | ilman UID:ta palvelin ei tunnista kaksoiskappaleita |
DTSTART;TZID=... | alkamisaika aikavyöhykkeellä | katso aikavyöhykkeet alla |
RRULE | toistosääntö: joka tiistai | virheellinen sääntö tuottaa yhden tapaamisen sarjan sijaan |
EXDATE | poikkeus: juuri tämä tiistai ei toteudu | |
ORGANIZER, ATTENDEE | kuka kutsui ja kuka on kutsuttu | katso kutsut alla |
VALARM | muistutus, 30 minuuttia etukäteen | kaikki palvelut eivät siirrä muistutuksia |
Aikavyöhykkeet
Aika, jossa on TZID=Europe/Amsterdam, tarkoittaa: kello 6 aamulla Amsterdamin aikaa, myös kesäaikaan siirryttäessä. Tiedostossa pitäisi siksi olla myös VTIMEZONE-lohko, joka kuvaa kyseisen aikavyöhykkeen. Outlookin viennit käyttävät usein Windows-nimiä kuten W. Europe Standard Time. Tämä toimii, kunhan VTIMEZONE-lohko on mukana. Jos se puuttuu, uusi palvelu arvaa aikavyöhykkeen, ja tapaamiset näyttävät siirtyneen tunnilla. Aika, joka päättyy kirjaimeen Z (20261110T050000Z), on UTC-aikaa ja aina yksiselitteinen. Aikaa ilman aikavyöhykettä ja ilman Z:aa kutsutaan "kelluvaksi" ajaksi: se pätee sen henkilön aikavyöhykkeellä, joka sitä katsoo.
Koko päivän kestävät tapahtumat merkitään päivämääränä ilman kellonaikaa: DTSTART;VALUE=DATE:20261224.
Kutsut
Tapaaminen, jonka sinä järjestit, näkyy tiedostossa sinä ORGANIZER-kenttänä. Tuonnin jälkeen se on uudessa kalenterissasi, mutta osallistujilla se on yhä omassa kalenterissaan kutsuna vanhasta osoitteestasi, vanhan palvelun UID:lla varustettuna. Jos muutat tapaamista myöhemmin, he saavat uuden kutsun. Toistuvissa kokouksissa ulkopuolisten kanssa voi olla selkeämpää kutsua heidät uudelleen siirtymisen jälkeen. Tapaamiset, joihin sinut on kutsuttu, siirtyvät tavallisina tapaamisina mukaan; vastaukset järjestäjälle kulkevat sähköpostitse.
Vienti Googlesta
- Kalenteri: Google-kalenterissa, kohdassa Asetukset, osiossa Tuo ja vie, painike Vie. Saat zip-tiedoston, jossa on ics-tiedosto jokaisesta kalenterista, jonka omistaja olet. Kalenterit, jotka muut ovat jakaneet kanssasi, eivät sisälly tähän; ne vie omistaja, tai viet ne itse kalenterikohtaisesti kyseisen kalenterin asetuksista, jos se on sallittua.
- Yhteystiedot: Google-yhteystiedoissa valitset yhteystiedot (tai kaikki), valitset Vie ja sitten vCard-muodon. Google tarjoaa myös "Google CSV" ja "Outlook CSV" vaihtoehdot; valitse vCard, se säilyttää rakenteen (useat puhelinnumerot, osoitteet, kuva).
- Kaikki kerralla: Google Takeout (takeout.google.com) tuottaa kalenterin ics-muodossa, yhteystiedot vcf-muodossa (tai csv) ja Gmailin mbox-muodossa, zip-tiedostoissa. Käytännöllinen koko tilin varmuuskopioksi.
Valikkojen nimet muuttuvat ajoittain; jos olet epävarma, etsi Googlen ohjeista hakusanalla "kalenterin vienti".
Vienti Microsoftista
- Kalenteri: perinteisessä Windowsin Outlookissa voit tallentaa kalenterin iCalendar-tiedostona (Tallenna nimellä, jossa valitset ajanjakson ja "kaikki yksityiskohdat"). Valitse ajanjakso, joka ulottuu tarpeeksi kauas menneisyyteen ja tulevaisuuteen, ja valitse kaikki yksityiskohdat, muuten viet vain vapaa/varattu-tiedon. Outlook on the webissä voit julkaista kalenterin ICS-linkkinä ja ladata tiedoston tuon linkin kautta; poista julkaisu sen jälkeen käytöstä.
- Yhteystiedot: Outlook on the web vie yhteystiedot csv-muodossa, ei vCardina. Perinteinen Outlook vie massana myös csv-muotoon; vCard onnistuu siellä vain yksi yhteystieto kerrallaan. Monet CardDAV-palvelut eivät osaa tuoda csv-tiedostoa suoraan. Kaksi ratkaisua: käytä uuden palvelun siirtotyökalua (joka hakee yhteystiedot suoraan), tai tuo csv Thunderbirdin osoitekirjaan ja vie se sieltä vCardina.
- Jaetut kalenterit ja tilakalenterit ovat organisaation kalentereita. Ne vie ylläpitäjä, tai ne perustetaan uudelleen uudessa palvelussa.
Mikä ei siirry viennissä, tai siirtyy eri tavalla
| Osa | Mitä tapahtuu |
|---|---|
| Tapaamisten liitteet | eivät yleensä siirry mukana; vain linkki, tai ei mitään |
| Värit ja luokat | joskus CATEGORIES-kenttänä, usein ei |
| Muistutukset | joskus, riippuu palvelusta |
| Videokokouslinkit (Teams, Meet) | jäävät tekstinä tapaamiseen, mutta eivät toimi enää irtisanomisen jälkeen |
| Yhteystietoryhmät tai tunnisteet | eivät aina; tarkista tuonnin jälkeen |
| Yhteystietojen kuvat | siirtyvät vCardissa, mutta kasvattavat tiedoston kokoa |
Laske ennen jatkamista
Kirjoita ennen vientiä muistiin, kuinka monta yhteystietoa sinulla on ja, muutaman kalenterin osalta, kuinka monta tapaamista on tietyllä ajanjaksolla (esimerkiksi marraskuussa). Tuonnin jälkeen laske uudelleen. Se on nopein tapa huomata, jos jotain puuttuu. Tämän oppitunnin tehtävässä ohjelma laskee ja tarkistaa tiedostosi puolestasi.
Käytännössä: näin se näyttää palveluntarjoajalla
WebOkén Nextcloudissa on kaksi siirtotyökalua, jotka hakevat tiedot suoraan: WebOké Import Tool Googlelle (Drive, Kuvat, Kalenteri ja Yhteystiedot) sekä Gegevensmigratie OneDrivelle ja Microsoft 365:lle, jolla tuot myös yhteystiedot ja kalenterit Microsoft-tilistäsi. Jos kalenterisi on peräisin jostain muualta, tuot ics- ja vCard-tiedostot itse (oppitunti 5.3). Nextcloud lukee vCard 3.0 ja 4.0 -muotoja. Muilla eurooppalaisilla palveluilla on olemassa vastaavia siirtotyökaluja tai tuontipainike kalenterissa ja osoitekirjassa; tiedostomuodot ovat kaikkialla samat.
Yhteenveto
- Kalenterit siirretään ics-muodossa (iCalendar), yhteystiedot vcf-muodossa (vCard 3.0 tai 4.0); ne ovat luettavia tekstitiedostoja.
- Suoraan hakeva siirtotyökalu on usein helpompi, mutta tee silti oma vienti tarkistusta ja varmuuskopiointia varten.
- Tarkista ics-tiedostosta UID, RRULE ja aikavyöhykkeet VTIMEZONE-lohkon kera; ilman sitä tapaamiset siirtyvät väärään aikaan.
- Outlook on the web vie yhteystiedot vain csv-muodossa; käytä siirtotyökalua tai muunna csv vCardiksi.
- Laske yhteystiedot ja tapaamiset etukäteen, jotta näet tuonnin jälkeen, puuttuuko jotain.
Tietovisa
Tehtävä
Tehtävä A5.2: Testiviennin tarkistaminen. Vie kalenteri (ics) ja yhteystietosi (vcf). Täytä ensin, kuinka monta yhteystietoa sinulla on ja kuinka monta tapaamista odotat. Lataa sen jälkeen tiedostot. Ohjelma tarkistaa, ovatko ne kelvollisia, laskee tapaamiset, toistot ja yhteystiedot, etsii aikavyöhykkeet ilman kuvausta ja kaksoiskappaleet yhteystiedoista, sekä vertaa tuloksia omiin lukuihisi. Tiedostot vain luetaan, niitä ei säilytetä.
Tehtävä E5.2: Mikä ei tule mukaan? Avaa ics-tiedostosi tekstieditorissa. Etsi toistuva tapaaminen, tapaaminen jossa on osallistujia, ja tapaaminen jossa on videokokouslinkki. Kirjaa kunkin tapaamisen osalta, mitä sinun täytyy tehdä siirtymisen jälkeen.
Tehtävä E5.2: Mikä ei tule mukaan?
Avaa oma ics-tiedostosi tekstieditorissa.
Merkintäsi ja muistiinpanosi pysyvät vain tässä selaimessa, emme lähetä niitä minnekään. Jos olet kirjautunut sisään, tallennamme kohtaan Omat kurssit vain sen, että olet tehnyt tehtävän.
Lue lisää
Näiden artikkelien vaiheet koskevat WebOkén palveluita; muilla palveluntarjoajilla toiminta on vastaavaa.
- Nextcloud-opas 13.5: Kalenterin ja yhteystietojen siirtäminen Googlesta, iCloudista tai Outlookista (ics ja vCard)
- Nextcloud-opas 13.2: Google Driven, Kuvien, Kalenterin ja Yhteystietojen siirto WebOké Import Toolilla
- Nextcloud-opas 13.4: OneDriven siirtäminen Tietomigraatiolla
- Nextcloud-opas 13.6: Microsoft 365:sta WebOkéen: tiedostot, asiakirjat, sähköposti ja kalenteri
- RFC 5545 (iCalendar), RFC 2426 (vCard 3.0), RFC 6350 (vCard 4.0)
- Google-kalenterin ohje: Tapahtumien vienti; Google-yhteystietojen ohje: Yhteystietojen vienti; Microsoftin tuki: Yhteystietojen vienti Outlookista
